package com.ruoyi.robot.domain.vo;


import java.util.Objects;

/**
 * 地图列表VO（用于/v1/map/list接口返回）
 */
public class LdMapListVo {

    /**
     * 地图名称
     */
    private String mapName;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getMapName() {
        return mapName;
    }

    public void setMapName(String mapName) {
        this.mapName = mapName;
    }

    @Override
    public boolean equals(Object o) {
        if (o == null || getClass() != o.getClass()) return false;
        LdMapListVo that = (LdMapListVo) o;
        return Objects.equals(mapName, that.mapName) && Objects.equals(status, that.status);
    }

    @Override
    public int hashCode() {
        return Objects.hash(mapName, status);
    }

    /**
     * 地图状态
     */
    private String status;
}
